Infront Data Manager Connect Client (.NET)

Public Member Functions | Properties | List of all members
Gevasys.DataCore.StaticData.StaticDataResponse Class Reference

Class that represents the result from a static data call. More...

## Public Member Functions
| StaticDataResponse (int errorCode, String errorMessage, byte[] data)
void | setErrorCode (int errorCode)
void | setErrorMessage (String errorMessage)
void | setData (byte[] data)
int | getErrorCode ()
| Gets the error code from the call. More...
int | GetErrorCode ()
| Gets the error code from the call. More...
String | getErrorMessage ()
| Gets the error message from the call. More...
String | GetErrorMessage ()
| Gets the error message from the call. More...
byte[] | getData ()
| Gets the data from the call. More...
byte[] | GetData ()
| Gets the data from the call. More...

## Properties
int | HttpStatusCode`[get]`
| Gets the HTTP Status Code associated with the HTTP request. More...

## Detailed Description

Class that represents the result from a static data call.

## Constructor & Destructor Documentation

## ◆ StaticDataResponse()

Gevasys.DataCore.StaticData.StaticDataResponse.StaticDataResponse | ( | int | errorCode,
|  | String | errorMessage,
|  | byte[] | data
| ) |  |
| inline

Parameters

  errorCode |
  errorMessage |
  data |

## Member Function Documentation

## ◆ getData()

byte [] Gevasys.DataCore.StaticData.StaticDataResponse.getData | ( |  | ) |
| inline

Gets the data from the call.

Returns
  Serialized message data that can be deserialized or null if the call was not successfull.

## ◆ GetData()

byte [] Gevasys.DataCore.StaticData.StaticDataResponse.GetData | ( |  | ) |
| inline

Gets the data from the call.

Returns
  Serialized message data that can be deserialized or null if the call was not successfull.

## ◆ getErrorCode()

int Gevasys.DataCore.StaticData.StaticDataResponse.getErrorCode | ( |  | ) |
| inline

Gets the error code from the call.

Returns
  0 if the call was successfull, otherwise negative number.

## ◆ GetErrorCode()

int Gevasys.DataCore.StaticData.StaticDataResponse.GetErrorCode | ( |  | ) |
| inline

Gets the error code from the call.

Returns
  0 if the call was successfull, otherwise negative number.</returns [ObsoleteAttribute]

## ◆ getErrorMessage()

String Gevasys.DataCore.StaticData.StaticDataResponse.getErrorMessage | ( |  | ) |
| inline

Gets the error message from the call.

Returns
  Emtpy if the call was successful, otherwise a error message.

## ◆ GetErrorMessage()

String Gevasys.DataCore.StaticData.StaticDataResponse.GetErrorMessage | ( |  | ) |
| inline

Gets the error message from the call.

Returns
  Emtpy if the call was successful, otherwise a error message.

## Property Documentation

## ◆ HttpStatusCode

int Gevasys.DataCore.StaticData.StaticDataResponse.HttpStatusCode
| get

Gets the HTTP Status Code associated with the HTTP request.

The documentation for this class was generated from the following file:

- StaticDataResponse.cs

Copyright (C) 2021 Infront Financial Technology GmbH
Mainzer Landstrasse 178 – 190
60327 Frankfurt am Main
Infront Data Manager Connect V4.1